
#
# another test driver for the Account class
#
# author: David Mathias
#

from account import Account

def main():
    
    print('Creating accounts checking and savings.\n')
    checking = Account('David', 50000)
    savings = Account('David', 1000000)
    
    money_market = savings
    if money_market == savings:
        print('They are equal')
        
    money_market = Account('David', 50000)
    if money_market == checking:
        print('Equal again.')
        
    # it's payday: cha-ching
    print('Making a deposit to checking.\n')
    checking.deposit(25000)
    
    # hey honey, can I buy a 488?
    if savings.inquiry() > 500000:
        print("Go shopping.  Make sure it's red!\n")
    
    # create an additional reference to savings
    # this does not increase account_nums but does
    # increase the reference count for savings
    print('Create money_market as a reference to savings.\n')
    money_market = savings
    
    print('Number of accounts created: {}\n'.format(Account.num_accounts))
    
    # this does not reduce num_accounts
    # because there is still a reference to this object
    print('Delete the savings account.\n')
    del savings
    
    print('Number of accounts remaining: {}\n'.format(Account.num_accounts))
    
    # this deletes the last reference to the object
    # so num_accounts is reduced
    print('Delete money market.\n')
    del money_market
    
    print('Number of accounts remaining: {}\n'.format(Account.num_accounts))
    
    
if __name__ == '__main__':
    main()
